fann_set_sarprop_weight_decay_shift
fann_set_train_error_function
Fann Functions
PHP Manual

# fann_set_scaling_params

(PECL fann >= 1.0.0)

fann_set_scaling_params — Calculate input and output scaling parameters for future use based on training data

### Description

bool fann_set_scaling_params ( resource `$ann` , resource `$train_data` , float `$new_input_min` , float `$new_input_max` , float `$new_output_min` , float `$new_output_max` )

Calculate input and output scaling parameters for future use based on training data.

### Parameters

`ann`

  Neural network resource.

`train_data`

  Neural network training data resource.

`new_input_min`

  The desired lower bound in input data after scaling (not strictly followed)

`new_input_max`

  The desired upper bound in input data after scaling (not strictly followed)

`new_output_min`

  The desired lower bound in output data after scaling (not strictly followed)

`new_output_max`

  The desired upper bound in output data after scaling (not strictly followed)

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_set_input_scaling_params() - Calculate input scaling parameters for future use based on training data
- fann_set_output_scaling_params() - Calculate output scaling parameters for future use based on training data

fann_set_sarprop_weight_decay_shift
fann_set_train_error_function
Fann Functions
PHP Manual